%{?scl:%scl_package eclipse-webtools}
%{!?scl:%global pkg_name %{name}}

%global baserelease 1

Name:           %{?scl_prefix}eclipse-webtools
Version:        3.17.0
Release:        1%{?dist}
Summary:        Eclipse Webtools Projects

License:        EPL-1.0 and EPL-2.0
URL:            http://www.eclipse.org/webtools/

# Generate tarball with script:
# $ sh get-sources.sh
Source0:        %{pkg_name}-%{version}.tar.xz

# Missing plugin (maybe this should be provided by eclipselink package in future)
Source1:        http://git.eclipse.org/c/eclipselink/eclipselink.runtime.git/snapshot/eclipselink.runtime-7816e2b523adf5e65ad0c245f13ca4b59ff329f2.tar.bz2

# Remove org.mozilla.javascript bundle from jsdt feature
Patch0:         %{pkg_name}-rm-moz-js-from-jsdt-feature.patch

# Remove bundles org.eclipse.persistence.moxy and
# org.eclipse.jpt.jaxb.eclipselink.core.schemagen from
# webtools.dali/jaxb/features/org.eclipse.jpt.jaxb.eclipselink.feature/feature.xml
Patch1:         %{pkg_name}-rm-unavailable-plugins-from-jaxb-eclipselink-feature.patch

# Remove version checks from
# webtools.sourceediting/features/org.eclipse.wst.xml_core.feature/feature.xml
Patch2:         %{pkg_name}-rm-version-checks-from-xml_core-feature.patch

# Remove version checks of org.jdom, javax.wsdl, and
# disable javax.jws, javax.xml.stream and javax.xml.ws from
# webtools.webservices.jaxws/features/org.eclipse.jst.ws.cxf.feature/feature.xml
Patch3:         %{pkg_name}-rm-version-checks-and-obstacle-bundles-from-jst.ws.cxf-feature.patch

# Fix xerces api change (a method needs to return a String)
Patch4:         %{pkg_name}-xerces-api-change.patch

# Remove dependence on obsolete axis 1.x library
Patch10:        remove-axis-from-webtools.webservices.patch

# Remove version check for javax.persistence
Patch13:        %{pkg_name}-javax.persistence-version.patch

# Remove more version checks
Patch14:        %{pkg_name}-rm-version-checks-from-jst.ws.jaxws-feature.patch

BuildArch:      noarch

# Upstream Eclipse no longer supports non-64bit arches


BuildRequires:  %{?scl_prefix_maven}maven-local
BuildRequires:  %{?scl_prefix}tycho
BuildRequires:  %{?scl_prefix}tycho-extras
BuildRequires:  %{?scl_prefix_maven}mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires:  %{?scl_prefix}eclipse-dtp
BuildRequires:  %{?scl_prefix}eclipse-emf-runtime
BuildRequires:  %{?scl_prefix}eclipse-gef >= 3.11.0
BuildRequires:  %{?scl_prefix}eclipse-jdt
BuildRequires:  %{?scl_prefix}eclipse-license2
BuildRequires:  %{?scl_prefix}eclipse-pde
BuildRequires:  %{?scl_prefix}eclipse-xsd
BuildRequires:  %{?scl_prefix_maven}apache-commons-collections
BuildRequires:  %{?scl_prefix_maven}apache-commons-lang
BuildRequires:  %{?scl_prefix_maven}velocity
BuildRequires:  %{?scl_prefix_maven}osgi(javax.servlet-api)
BuildRequires:  %{?scl_prefix}osgi(javax.xml.rpc-api)
BuildRequires:  %{?scl_prefix}osgi(javax.wsdl)
BuildRequires:  %{?scl_prefix_maven}osgi(java_cup.runtime)
BuildRequires:  %{?scl_prefix}osgi(com.googlecode.json-simple)
BuildRequires:  %{?scl_prefix}osgi(org.apache.wsil4j)
BuildRequires:  %{?scl_prefix}osgi(org.apache.commons.discovery)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jetty.http)
BuildRequires:  %{?scl_prefix}osgi(org.eclipse.jetty.webapp)
BuildRequires:  %{?scl_prefix_maven}osgi(org.jdom)
BuildRequires:  %{?scl_prefix}osgi(org.uddi4j)
BuildRequires:  %{?scl_prefix_maven}osgi(osgi.core)
BuildRequires:  %{?scl_prefix}osgi(com.google.javascript)
BuildRequires:  %{?scl_prefix_maven}osgi(org.mozilla.javascript)
BuildRequires:  %{?scl_prefix}osgi(com.sun.xml.bind.jaxb-impl)
ExcludeArch: s390x aarch64 ppc64 ppc64le %{ix86}

%description
Eclipse Webtools. This contains sub-packages for different sub-projects
of Eclipse Webtools project, including Server Tools, SourceEditing Tools,
Webservices Tools, Java EE Tools, JSF Tools, and Dali (JPA) Tools. 

%package        common
Summary:        WST Common UI and Faceted Project Framework
Requires:       %{?scl_prefix}eclipse-gef >= 3.11.0

%description common
This package includes WST common UI functionality, and faceted projects
framework. The Faceted Project Framework allows the plugin developer to think
of projects as composed of units of functionality, otherwise known as facets,
that can be added and removed by the user.

%package        servertools
Summary:        Eclipse Server Tools Framework

%description servertools
This package includes Server tools framework UI, and adapters for use
with the WST and JST server tools.

%package        sourceediting
Summary:        Eclipse Web Developer, XML, XPath, and XSL Tools
Requires:       %{?scl_prefix}osgi(com.googlecode.json-simple)

%description sourceediting
Eclipse Web Developer Tools, including HTML, CSS, XHTML, etc.

XML, DTD and XML Schema Editors, validators, and XML Catalog support

PscyhoPath XPath 2.0 Processor Feature

XSLT Editor, validator, launching and debugging support

JavaScript Development Tools

%package        javaee
Summary:        Eclipse Java EE Developer Tools
Requires:       %{?scl_prefix}osgi(org.apache.commons.discovery)
# Obsoletes/Provides added in F27
Provides:       %{name}-jsf = %{version}-%{release}
Obsoletes:      %{name}-jsf < 3.10.0-1

%description javaee
Eclipse Java EE Developer Tools including APIs and models for working
with JavaServer Pages (JSP), JavaServer Faces (JSF) and the creation
of Dynamic Web Projects, the Web Services Explorer, WSDL Editor,
WS-I Validator, Service Policy Preferences, and more.

%package        dali
Summary:        Eclipse Dali Java Persistence (JPA) Tools

%description dali
Dali Java Persistence Tools with JPA and JAXB Support.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%setup -q -n %{pkg_name}-%{version}
%patch0
%patch1
%patch2
%patch3
%patch4
pushd webtools.webservices
%patch10 -p1
popd
%patch13
%patch14

tar xfj %{SOURCE1}
pushd eclipselink.runtime-7816e2b523adf5e65ad0c245f13ca4b59ff329f2/
cp -r jpa/org.eclipse.persistence.jpa.jpql/ ../webtools.dali/jpa/plugins/
popd
rm -r eclipselink.runtime-7816e2b523adf5e65ad0c245f13ca4b59ff329f2/

# Find and delete any hidden jar or zip files
find -name *.class -type f -delete
find -name *.jar -type f -delete
find -name *.zip -type f -delete

# Fixup erroneous license info, see: https://bugs.eclipse.org/bugs/show_bug.cgi?id=538094
sed -i -e '/license-feature-version/s/.\..\..\.qualifier/0.0.0/' \
  $(find -name feature.xml)

sed -i -e 's/;version="2.2.0"//' \
  webtools.jsdt/bundles/org.eclipse.wst.jsdt.chromium.wipbackend.*/META-INF/MANIFEST.MF

# Configure org.eclipse.persistence.jpa.jpql to be built as part of this build
%pom_xpath_inject pom:project/pom:modules \
    "<module>jpa/plugins/org.eclipse.persistence.jpa.jpql</module>" webtools.dali
%pom_set_parent org.eclipse.webtools.dali:org.eclipse.webtools.dali:3.4.0-SNAPSHOT \
    webtools.dali/jpa/plugins/org.eclipse.persistence.jpa.jpql
%pom_xpath_inject pom:project/pom:parent "<relativePath>../../../</relativePath>" \
    webtools.dali/jpa/plugins/org.eclipse.persistence.jpa.jpql

# Build useless jar that is needed to build but does nothing
# See http://dev.eclipse.org/mhonarc/lists/wtp-dev/msg08607.html
# and PERFMSR.README.txt in org.eclipse.perfmsr.core.stub/
CORE_RUNTIME_JAR=$(ls %{_prefix}/lib/eclipse/plugins/org.eclipse.core.runtime_*)
pushd webtools.common/plugins/org.eclipse.jem.util/org.eclipse.perfmsr.core.stub/src
    javac -cp $(build-classpath osgi-core):${CORE_RUNTIME_JAR} \
        org/eclipse/perfmsr/core/*.java
    jar cf ../perfmsr.jar org/
popd

# Fix OSGi headers in manifests
## Remove some version ranges
## Don't Require-Bundle stuff provided by JDK
find -name MANIFEST.MF \
    -exec sed -i \
        -e "s/javax.jws;.*//" \
        -e "s/javax.xml.ws.*;version=.*,\?//" \
        -e "s/\(org.eclipse.jetty.*\);bundle-version=..[0-9\.]\+,[0-9\.]\+../\1/g" \
    {} \;

# Fix some specifics that the above breaks
sed -i -e "s/\(org.eclipse.jdt.apt.core;.*\),/\1/" \
    webtools.webservices/jaxws/bundles/org.eclipse.jst.ws.cxf.creation.ui/META-INF/MANIFEST.MF
sed -i -e "s/\(org.eclipse.jdt.apt.core;.*\),/\1/" \
    webtools.webservices/jaxws/bundles/org.eclipse.jst.ws.cxf.creation.core/META-INF/MANIFEST.MF
find -name MANIFEST.MF -exec sed -i -e "/^ *$/d" {} \;

# Axis bundles are deprecated, let's stop shipping them
# see: https://bugs.eclipse.org/bugs/show_bug.cgi?id=531352
%pom_disable_module tests/org.eclipse.jst.ws.axis.consumption.core.tests webtools.webservices/core
%pom_disable_module bundles/org.eclipse.jst.ws.axis.consumption.core webtools.webservices/core
%pom_disable_module bundles/org.eclipse.jst.ws.axis.consumption.ui webtools.webservices/core
%pom_disable_module bundles/org.eclipse.jst.ws.axis.creation.ui webtools.webservices/core
%pom_xpath_remove "import[@plugin='org.eclipse.jst.ws.axis.consumption.core']" webtools.webservices/core/features/javaee-web/org.eclipse.jst.enterprise_ui.feature/feature.xml
%pom_xpath_remove "import[@plugin='org.eclipse.jst.ws.axis.consumption.ui']"   webtools.webservices/core/features/javaee-web/org.eclipse.jst.enterprise_ui.feature/feature.xml
%pom_xpath_remove "import[@plugin='org.eclipse.jst.ws.axis.creation.ui']"      webtools.webservices/core/features/javaee-web/org.eclipse.jst.enterprise_ui.feature/feature.xml

# Disable the Dali diagram editor (requires graphiti)
%pom_disable_module jpa_diagram_editor/features/org.eclipse.jpt.jpadiagrameditor.feature webtools.dali
%pom_disable_module jpa_diagram_editor/features/org.eclipse.jpt.jpadiagrameditor_sdk.feature webtools.dali
%pom_disable_module jpa_diagram_editor/plugins/org.eclipse.jpt.jpadiagrameditor.branding webtools.dali
%pom_disable_module jpa_diagram_editor/plugins/org.eclipse.jpt.jpadiagrameditor.doc.user webtools.dali
%pom_disable_module jpa_diagram_editor/plugins/org.eclipse.jpt.jpadiagrameditor.ui webtools.dali

# Disable capabilities because they hide stuff by default
%pom_disable_module org.eclipse.wtp.jee.capabilities webtools.javaee/plugins
%pom_disable_module org.eclipse.wtp.javascript.capabilities webtools.sourceediting/web/bundles
%pom_disable_module org.eclipse.wtp.web.capabilities webtools.sourceediting/web/bundles
%pom_disable_module org.eclipse.wtp.xml.capabilities webtools.sourceediting/xml/bundles

# Disable building all repositories and tests for now
%pom_disable_module webtools.releng pom-build-everything.xml
%pom_disable_module webtools.repositories pom-build-everything.xml
%pom_disable_module site webtools.common
%pom_disable_module site webtools.dali
%pom_disable_module site webtools.javaee
%pom_disable_module site webtools.jsf
%pom_disable_module site webtools.jsdt
%pom_disable_module site webtools.servertools
%pom_disable_module site webtools.sourceediting
%pom_disable_module site webtools.webservices
%pom_disable_module tests webtools.common
%pom_disable_module org.eclipse.wst.common_tests.feature webtools.common/features
%pom_disable_module tests webtools.javaee
%pom_disable_module tests webtools.jsdt
%pom_disable_module tests webtools.sourceediting/{core,json,web,xml,xpath,xsl}
%pom_disable_module org.eclipse.wst.json_tests.feature webtools.sourceediting/json/features
%pom_disable_module org.eclipse.wst.web_tests.feature webtools.sourceediting/web/features
%pom_disable_module org.eclipse.wst.xml_tests.feature webtools.sourceediting/xml/features
%pom_disable_module org.eclipse.wst.xsl_tests.feature webtools.sourceediting/xsl/features
%pom_disable_module jsf/features/org.eclipse.jst.jsf.tests.feature webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.jsf.common.runtime.tests webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.jsf.contentassist.tests webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.jsf.context.symbol.tests webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.jsf.core.tests webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.jsf.designtime.tests webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.jsf.facesconfig.tests webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.jsf.facesconfig.ui.test webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.jsf.metadataprocessingtests2 webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.jsf.metadata.tests webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.jsf.test.util webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.jsf.ui.tests webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.jsf.validation.el.tests webtools.jsf
%pom_disable_module jsf/tests/org.eclipse.jst.pagedesigner.tests webtools.jsf
%pom_disable_module tests/org.eclipse.wst.internet.monitor.core.tests webtools.servertools
%pom_disable_module tests/org.eclipse.wst.server.core.tests webtools.servertools
%pom_disable_module tests/org.eclipse.wst.server.http.core.tests webtools.servertools
%pom_disable_module tests/org.eclipse.wst.server.util.tests webtools.servertools
%pom_disable_module features/org.eclipse.jst.server_adapters.ext_tests.feature webtools.servertools
%pom_disable_module features/org.eclipse.jst.server_tests.feature webtools.servertools
%pom_disable_module features/org.eclipse.wst.server_tests.feature webtools.servertools
%pom_disable_module assembly/features/org.eclipse.jpt.assembly.feature webtools.dali
%pom_disable_module assembly/features/org.eclipse.jpt_sdk.assembly.feature webtools.dali
%pom_disable_module assembly/features/org.eclipse.jpt.tests.assembly.feature webtools.dali
%pom_disable_module common/features/org.eclipse.jpt.common.tests.feature webtools.dali
%pom_disable_module common/tests/org.eclipse.jpt.common.core.tests webtools.dali
%pom_disable_module common/tests/org.eclipse.jpt.common.ui.tests webtools.dali
%pom_disable_module common/tests/org.eclipse.jpt.common.utility.tests webtools.dali
%pom_disable_module jpa/features/org.eclipse.jpt.jpa.eclipselink.feature webtools.dali
%pom_disable_module jpa/features/org.eclipse.jpt.jpa.eclipselink_sdk.feature webtools.dali
%pom_disable_module jpa/plugins/org.eclipse.jpt.jpa.eclipselink.core.ddlgen webtools.dali
%pom_disable_module jpa/features/org.eclipse.jpt.jpa.tests.feature webtools.dali
%pom_disable_module jpa/tests/org.eclipse.jpt.jpa.core.tests.extension.resource webtools.dali
%pom_disable_module jpa/tests/org.eclipse.jpt.jpa.db.tests webtools.dali
%pom_disable_module jaxb/features/org.eclipse.jpt.jaxb.eclipselink_sdk.feature webtools.dali
%pom_disable_module jaxb/plugins/org.eclipse.jpt.jaxb.eclipselink.core.schemagen webtools.dali
%pom_disable_module jaxb/features/org.eclipse.jpt.jaxb.eclipselink.tests.feature webtools.dali
%pom_disable_module jaxb/features/org.eclipse.jpt.jaxb.tests.feature webtools.dali
%pom_disable_module jpa_diagram_editor/features/org.eclipse.jpt.jpadiagrameditor.tests.feature webtools.dali
%pom_disable_module jpa_diagram_editor/tests/org.eclipse.jpt.jpadiagrameditor.ui.tests webtools.dali
%pom_disable_module org.eclipse.wst.jsdt_tests.feature webtools.jsdt/features
%pom_disable_module org.eclipse.wst.jsdt.chromium_tests.feature webtools.jsdt/features
sed -i -e '/>tests\//d' webtools.webservices/{core,jaxws}/pom.xml
%pom_disable_module features/org.eclipse.wst.ws_tests.feature webtools.webservices/core
%pom_disable_module org.eclipse.jst.ws.cxf_tests.feature webtools.webservices/jaxws/features
%pom_disable_module org.eclipse.jst.ws.jaxws.assembly_tests.feature webtools.webservices/jaxws/features
%pom_disable_module org.eclipse.jst.ws.jaxws.dom_tests.feature webtools.webservices/jaxws/features
%pom_disable_module org.eclipse.jst.ws.jaxws_tests.feature webtools.webservices/jaxws/features
%pom_disable_module org.eclipse.jst.enterprise_tests.feature webtools.webservices/core/features/javaee-web
%pom_disable_module org.eclipse.jst.web_tests.feature webtools.webservices/core/features/javaee-web

# Remove additional dep on javax.jws
%pom_xpath_remove pom:project/pom:build/pom:plugins/pom:plugin/pom:configuration \
    webtools.webservices/jaxws/bundles/org.eclipse.jst.ws.jaxws.core
%pom_xpath_remove pom:project/pom:build/pom:plugins/pom:plugin/pom:configuration \
    webtools.webservices/jaxws/bundles/org.eclipse.jst.ws.jaxws.ui
%pom_xpath_remove pom:project/pom:build/pom:plugins/pom:plugin/pom:configuration \
    webtools.webservices/jaxws/tests/org.eclipse.jst.ws.jaxws.core.tests

# No source bundles for external units
%pom_xpath_inject "pom:plugin[pom:artifactId = 'tycho-source-feature-plugin']/pom:executions/pom:execution/pom:configuration/pom:excludes" \
    "<plugin id=\"org.jdom\"/><plugin id=\"javax.wsdl\"/>" webtools.webservices/jaxws/features/org.eclipse.jst.ws.cxf.feature
%pom_xpath_inject "pom:plugin[pom:artifactId = 'tycho-source-feature-plugin']/pom:executions/pom:execution/pom:configuration/pom:excludes" \
    "<plugin id=\"org.jdom\"/><plugin id=\"javax.wsdl\"/>" webtools.webservices/jaxws/features/org.eclipse.jst.ws.jaxws.feature

# Tighten up dep on xerces
sed -i -e '/org.apache.xerces/s/2\..\.0/2.11.0/' $(find webtools.*/bundles -name MANIFEST.MF)

# Don't use strict project settings, webtools is not ready (fixes 'unnecessary cast' errors and API access errors, etc)
%pom_xpath_inject "pom:plugin[pom:artifactId = 'tycho-compiler-plugin']/pom:configuration" \
  "<useProjectSettings>false</useProjectSettings>" wtp-parent

# Remove log4j
%pom_xpath_remove "import[@plugin='org.apache.log4j']" \
  webtools.sourceediting/xsl/features/org.eclipse.wst.xsl.feature/feature.xml \
  webtools.webservices/core/features/org.eclipse.wst.ws_core.feature/feature.xml
%pom_xpath_remove "import[@plugin='javax.mail']" \
  webtools.webservices/core/features/org.eclipse.wst.ws_core.feature/feature.xml
%pom_xpath_remove "plugin[@id='javax.xml']" \
  webtools.sourceediting/xml/features/org.eclipse.wst.xml_core.feature/feature.xml

# Don't use jgit providers in packaging plugin
%pom_remove_dep :tycho-buildtimestamp-jgit wtp-parent
%pom_remove_dep :tycho-sourceref-jgit wtp-parent
%pom_xpath_remove pom:project/pom:build/pom:pluginManagement/pom:plugins/pom:plugin/pom:configuration/pom:sourceReferences wtp-parent
%pom_xpath_remove pom:project/pom:build/pom:pluginManagement/pom:plugins/pom:plugin/pom:configuration/pom:timestampProvider wtp-parent
%pom_xpath_remove pom:project/pom:build/pom:pluginManagement/pom:plugins/pom:plugin/pom:configuration/pom:jgit.ignore wtp-parent
%pom_xpath_remove pom:project/pom:build/pom:pluginManagement/pom:plugins/pom:plugin/pom:configuration/pom:jgit.dirtyWorkingTree wtp-parent

# Remove pre-built indexes
for index in $(find -name indexed_docs) ; do
  rm $(dirname $index)/*
  %pom_xpath_remove "plugin/extension[@point='org.eclipse.help.toc']/index" $(dirname $(dirname $index))/plugin.xml
done

# Don't install poms
%mvn_package "::pom::" __noinstall

# SDK bits
%mvn_package ":*sdk{,.feature,.documentation}" __noinstall
%mvn_package ":*.assembly.feature" __noinstall
%mvn_package ":*{.api.doc,.doc.api,.doc.isv,.doc.dev}" __noinstall
%mvn_package ":::sources{,-feature}:" __noinstall

# Common features and plugins
%mvn_package "org.eclipse.webtools.common:" common
%mvn_package ":org.eclipse.jst.common.frameworks" common
%mvn_package ":org.eclipse.wst.server.core" common
%mvn_package ":org.eclipse.wst.server.discovery" common

# Server Tools features and plugins
%mvn_package "org.eclipse.webtools.servertools:" servertools

# Source Editing features and plugins
%mvn_package "org.eclipse.webtools.jsdt*:" sourceediting
%mvn_package "org.eclipse.webtools.sourceediting:" sourceediting
%mvn_package ":org.eclipse.wst.web{,.ui,.ui.infopop}" sourceediting

# Java EE features and plugins
%mvn_package "org.eclipse.webtools.ejb:" javaee
%mvn_package "org.eclipse.webtools.javaee:" javaee
%mvn_package "org.eclipse.webtools.webservices:" javaee
%mvn_package "org.eclipse.webtools.jsf:" javaee

# Dali features and plugins
%mvn_package "org.eclipse.webtools.dali:" dali
%mvn_package "org.eclipse.persistence:" dali

# Symlink system lib and make dir-shaped bundle
ln -s $(build-classpath json_simple) webtools.jsdt/bundles/org.eclipse.wst.jsdt.chromium/lib/json_simple/json_simple-1.1.jar
echo "Eclipse-BundleShape: dir" >> webtools.jsdt/bundles/org.eclipse.wst.jsdt.chromium/META-INF/MANIFEST.MF
%{?scl:EOFSCL}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
# Avoid running out of heap on s390x
export MAVEN_OPTS="-Xmx1024m"

# Qualifier generated from last modification time of source tarball
QUALIFIER=$(date -u -d"$(stat --format=%y %{SOURCE0})" +v%Y%m%d%H%M)
%mvn_build -j -f -- -DforceContextQualifier=$QUALIFIER -f pom-build-everything.xml
%{?scl:EOFSCL}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOFSCL"}
set -e -x
%mvn_install

# Re-symlink system lib
pushd %{buildroot}%{_datadir}/eclipse/droplets/webtools-sourceediting/plugins/org.eclipse.wst.jsdt.chromium_*/lib/json_simple
f=$(ls json_simple*)
rm $f
ln -s $(build-classpath json_simple) $f
popd

# Remove uneeded extra symlinks
# (these are optional deps of velocity, which we don't need at runtime)
sed -i -e '/\(geronimo\|mail\|log4j\|avalon\|oro\|xml\.bind\)/d' .mfiles-* %{buildroot}/%{_datadir}/eclipse/droplets/webtools-*/fragment.info
rm -f %{buildroot}/%{_datadir}/eclipse/droplets/webtools-*/plugins/*{mail,geronimo,log4j,avalon,oro,xml.bind}*
%{?scl:EOFSCL}

%files common -f .mfiles-common
%license webtools.releng/releng.wtpbuilder/rootfiles/epl-2.0.html

%files servertools -f .mfiles-servertools

%files sourceediting -f .mfiles-sourceediting

%files javaee -f .mfiles-javaee

%files dali -f .mfiles-dali

%changelog
* Thu Mar 26 2020 Mat Booth <mat.booth@redhat.com> - 3.17.0-1
- Update to latest upstream release

* Sat Sep 21 2019 Mat Booth <mat.booth@redhat.com> - 3.15.0-1.1
- Auto SCL-ise package for rh-eclipse collection

* Mon Sep 16 2019 Mat Booth <mat.booth@redhat.com> - 3.15.0-1
- Update to latest upstream release

* Wed Jun 26 2019 Mat Booth <mat.booth@redhat.com> - 3.14.0-3
- Build missing xinclude embedded jar

* Fri Jun 14 2019 Mat Booth <mat.booth@redhat.com> - 3.14.0-2
- Avoid running out of heap on s390x

* Wed Jun 12 2019 Mat Booth <mat.booth@redhat.com> - 3.14.0-1
- Update to latest upstream release

* Tue Jun 11 2019 Mat Booth <mat.booth@redhat.com> - 3.13.0-2
- Avoid using jgit providers from tycho-extras

* Fri Mar 15 2019 Mat Booth <mat.booth@redhat.com> - 3.13.0-1
- Update to 2019-03 release
- Update license tag
- Restrict to same architectures as Eclipse itself

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.12.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jan 10 2019 Mat Booth <mat.booth@redhat.com> - 3.12.0-1
- Update to upstream 3.12 release to add support for JPA 2.2

* Mon Nov 19 2018 Mat Booth <mat.booth@redhat.com> - 3.11.0-3
- Rebuild for xerces update

* Tue Sep 25 2018 Mat Booth <mat.booth@redhat.com> - 3.11.0-2
- Fix missing R on commons-discovery

* Tue Sep 25 2018 Mat Booth <mat.booth@redhat.com> - 3.11.0-1
- Update to latest upstream release
- Amend license tag

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.10.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu Jun 07 2018 Mat Booth <mat.booth@redhat.com> - 3.10.0-1
- Update to Photon release
- Drop ancient provides/obsoletes
- Drop upstreamed patches

* Mon May 21 2018 Mat Booth <mat.booth@redhat.com> - 3.10.0-0.2
- Update to latest Photon snapshot

* Wed May 16 2018 Mat Booth <mat.booth@redhat.com> - 3.10.0-0.1
- Update to Photon snapshot

* Fri Apr 13 2018 Mat Booth <mat.booth@redhat.com> - 3.9.4-4
- Stop shipping deprecated Apache Axis support
- Merge jsf and javaee sub-packages; there is a dep cycle between
  them so one is always installed with the other anyway

* Tue Apr 10 2018 Mat Booth <mat.booth@redhat.com> - 3.9.4-3
- Minor spec file updates

* Tue Apr 10 2018 Mat Booth <mat.booth@redhat.com> - 3.9.4-2
- Fix source tarball to include missing changes from servertools

* Mon Apr 09 2018 Mat Booth <mat.booth@redhat.com> - 3.9.4-1
- Update to Oxygen.3a release for Java 10 support

* Wed Mar 21 2018 Mat Booth <mat.booth@redhat.com> - 3.9.3-1
- Update to latest Oxygen.3 release

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Mon Dec 18 2017 Mat Booth <mat.booth@redhat.com> - 3.9.2-1
- Update to latest release

* Tue Oct 03 2017 Mat Booth <mat.booth@redhat.com> - 3.9.1-1
- Update to Oxygen.1a release

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.9.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Tue Jun 27 2017 Mat Booth <mat.booth@redhat.com> - 3.9.0-1
- Update to Oxygen final release

* Mon May 08 2017 Mat Booth <mat.booth@redhat.com> - 3.8.2-6
- Fix build against latest tycho and oxygen

* Thu Apr 20 2017 Mat Booth <mat.booth@redhat.com> - 3.8.2-5
- Revised patch for ebz#511793

* Mon Apr 10 2017 Mat Booth <mat.booth@redhat.com> - 3.8.2-4
- Backport patch to fix a thread deadlock ebz#511793

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.8.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jan 27 2017 Mat Booth <mat.booth@redhat.com> - 3.8.2-2
- Use glassfish servlet api in wst.server.preview.adapter

* Thu Jan 26 2017 Mat Booth <mat.booth@redhat.com> - 3.8.2-1
- Update to latest maintenance version

* Thu Oct 06 2016 Mat Booth <mat.booth@redhat.com> - 3.8.1-1
- Update to latest maintenance release
- Fix some broken symlinks

* Tue Aug 16 2016 Mat Booth <mat.booth@redhat.com> - 3.8.0-2
- Fix breakpoint inteference with CDT

* Tue Jul 05 2016 Mat Booth <mat.booth@redhat.com> - 3.8.0-1
- Update to tagged version
- Drop ancient provides/obsoletes
- Merge some sub-packages to eliminate cyclical deps and simplify
  the packaging a little bit
- Rationalise BRs and Rs

* Wed Jun 1 2016 Alexander Kurtakov <akurtako@redhat.com> 3.8.0-0.1gitb640484
- Update to Neon pre release.

* Tue Feb 09 2016 Roland Grunberg <rgrunber@redhat.com> - 3.7.1-3
- Update to use proper xmvn provided macros.

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 03 2015 Gerard Ryan <gerard@ryan.lt> - 3.7.1-1
- Update to latest upstream release tag R3_7_1 for Mars.1

* Sun Sep 13 2015 Gerard Ryan <gerard@ryan.lt> - 3.7.0-1
- Update to latest upstream release tag R3_7_0 for Mars

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.6.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 02 2015 Gerard Ryan <gerard@ryan.lt> - 3.6.3-2
- Update to latest upstream release tag R3_6_3

* Sat Jan 24 2015 Gerard Ryan <gerard@ryan.lt> - 3.6.2-1
- Update to latest upstream release tag R3_6_2

* Thu Dec 11 2014 Alexander Kurtakov <akurtako@redhat.com> 3.6.1-3
- Remove unneeded BR on feclipse-maven-plugin.

* Tue Nov 18 2014 Alexander Kurtakov <akurtako@redhat.com> 3.6.1-2
- Fix typo in webtools-servertools installation.

* Fri Sep 26 2014 Gerard Ryan <gerard@ryan.lt> - 3.6.1-1
- Update to latest upstream release tag R3_6_1

* Fri Aug 22 2014 Mat Booth <mat.booth@redhat.com> - 3.6.0-7
- Prefix qualifier to ensure it is lexographically greater than the
  upstream's update site (prevents unnecessary updates)
- Make use of build-jar-repository and build-classpath utils

* Tue Aug 12 2014 Gerard Ryan <gerard@ryan.lt> - 3.6.0-6
- Use forceContextQualifier instead of git

* Sat Jul 19 2014 Gerard Ryan <gerard@ryan.lt> - 3.6.0-5
- Add features from webtools.webservices.jaxws

* Sun Jul 06 2014 Gerard Ryan <gerard@ryan.lt> - 3.6.0-4
- Add missing Obsoletes for old sdk packages

* Thu Jul 03 2014 Gerard Ryan <gerard@ryan.lt> - 3.6.0-3
- Add missing BRs

* Tue Jul 01 2014 Gerard Ryan <gerard@ryan.lt> - 3.6.0-2
- Initial RPM